
import { Injectable } from '@nestjs/common';
import { UsersService } from 'src/identity-and-account/users-management/services/users.service';

@Injectable()
export class AuthentikAuthService {
  constructor(private usersService: UsersService) {}

  async validateUser(user_email: string): Promise<any> {
    const user = await this.usersService.findOneByEmail(user_email);
    
    return user;
  }
}
